Introduction

Sonic Foundry’s ExpressFX 2 is the second in a series of DirectX Plug-Ins developed primarily for Sonic Foundry’s ACID Music and Sound Forge XP. ExpressFX 2 gives ACID Music and Sound Forge XP users the ability to add easy-to-use effects to their projects, with the same high quality as all of Sonic Foundry’s products. ExpressFX 2 can, however, be used with any DirectX Audio-compatible host application.

ExpressFX 2 contains four discrete plug-ins: Delay, EQ, Chorus, and Amplitude Modulation.

What do you want to learn more about?

Using Help

Technical Support


Using Help

In developing ExpressFX, one of our primary goals was to make the interfaces as easy to use as possible. However, some features may not be immediately apparent, so we hope you take some time to review the Help file.

Graphical conventions

The following icons are used throughout this Help file:

Symbol | Meaning
 | Drop-down text: click to display more information.
 | Note: provides additional related information about a topic.
 | Tip: provides a shortcut or an alternate means of performing a task in ExpressFX.
 | Warning: Important information that you need to know before performing a task.

The Help window

Simply press F1 or choose Help from the main ExpressFX shortcut menu to view the online help (but then, you're reading this, so you've figured that out already).

The Contents tab

The Contents tab provides a categorized listing of available help topics. Click a book [image] to open it, and click the topic page [image] you want to view. The topic is displayed in the right-hand pane.

The Index tab

The Index tab provides a complete listing of the help topics available. Use the scroll bar to scroll through the list of available topics or type a word in the text box to quickly locate topics related to the word. Select a topic and click the Display button.

The Search tab

The Search tab allows you to enter a keyword and display all of the topics in the online help that contain the keyword you have entered. Type a keyword in the text box and click the List Topics button. Select a topic from the list and click the Display button.

The Favorites tab

The Favorites tab allows you to easily return to topics that you use often. To view a topic from the Favorites tab, select the topic in the Topics list and click the display button. To add a topic to the Favorites tab, simply click the Add button. To remove a topic, select the topic in the Topics list and click the Remove button.

Contents

This help file is separated into three major sections:

Introduction

This section contains information about registering, getting started, and contacting technical support.

Using ExpressFX 2

This section contains a “how to” approach to using each of the ExpressFX plug-ins. Most people will want to start here to learn how to use the plug-ins.

Troubleshooting

This section answers some common questions about ExpressFX and offers solutions to common problems.


Technical Support

If you experience problems or have question while using ExpressFX, our technical support department is always ready to help you. Additional support and information about ExpressFX and other Sonic Foundry products can be found on the Sonic Foundry Web site.

Contacting Technical Support

  • For a detailed list of Technical Support options, please visit the Support page on our Web site.

  • To listen to your support options, please call 608-256-5555.


Using ExpressFX 2

ExpressFX 2 can be used in any Microsoft DirectX-compatible host application (for example, Sound Forge XP and ACID Music) The quality and functionality of the plug-ins will be the same in each host application; however, the method of previewing the effects will be different. Consult your host application’s documentation to determine the previewing methods available to you.

Not all host applications’ DirectX implementations are the same. This may cause some problems involving real-time previewing.

What do you want to learn more about?

The Amplitude Modulation effect

The Chorus effect

The Delay effect

The Equalization effect

Using ExpressFX with Sound Forge or Sound Forge XP

Using ExpressFX with ACID Music


Amplitude Modulation

The Amplitude Modulation effect is designed to vary the level of signal in a periodic manner. For years, engineers have been using modulation to create tremolo guitar effects, as well as increase spatial intensity of recordings.

Using the Amplitude Modulation plug-in

  1. Open the Sonic Foundry ExpressFX Amplitude Modulation dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Drag the Modulation/Original Mix fader to set the level of the processed signal that will be mixed into the output. When the fader is at the top, only processed sound is heard. When the fader is at the bottom, no changes are heard in the sound. To get a balanced mix, simply double-click the fader.

b. Drag the Rate slider to control the frequency (0.1 to 5000 Hz) of the modulation. A faster rate causes the amplitude to modulate at a higher frequency, giving the effect a higher pitch. A lower rate leads to a lower effect pitch.

c. Drag the Depth slider to specify how much (0 to 100 %) the signal is modulated. At 100%, the amplitude modulates from silence to full volume. At 50%, the modulation goes from half to full volume. At 0%, there is no modulation (the output is always at full volume).


Chorus

The Chorus effect creates the illusion of two or more sound sources playing together. This is done by adding a pitch-modulated and delayed version of the input signal to the unprocessed input signal. The effect simulates the variances in pitch and timing that occur naturally when two or more people try to play or sing the same thing at the same time.

Using the Chorus effect

  1. Open the Sonic Foundry ExpressFX Chorus dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Drag the Chorus/Original Mix fader to set the level of the processed signal that will be mixed into the output. When the fader is at the top, only processed sound is heard. When the fader is at the bottom, no changes are heard in the sound. To get a balanced mix, simply double-click the fader.

b. Choose a Size radio button to specify how many times the selection is processed with the chorus algorithm. A larger Chorus size setting will add depth to the effect.

c. Drag the Rate slider to determine how fast the delay time is modulated. Choose values of 0.3 to 1 Hz for subtle modulation. Higher values will produce more intense effects.

d. Drag the Depth slider to specify how much (1 to 100%) the modulation varies from the original signal. Deeper settings cause the Chorus effect to be more pronounced.


Delay

You can use the Delay effect to create subtle ambiance, slap-back echoes, and interesting effects.

The easiest delay to create is simply a copy of the source material, mixed back into the source material after a specified amount of time. This is heard as one discrete echo. An echo of this nature can create many different effects, depending on the delay between the original and the echo.

Using the Delay efffect

  1. Open the Sonic Foundry ExpressFX Delay dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Drag the Delay/Original Mix fader to set the level of the processed signal that will be mixed into the output. When the fader is at the top, only processed sound is heard. When the fader is at the bottom, no changes are heard in the sound. To get a balanced mix, simply double-click the fader.

b. Drag the Delay slider to set the interval between the dry and delayed signals.

  • Very short delay times (near 3 milliseconds) produce a comb-filter effect.

  • Medium delay times (near 25 milliseconds) produce a doubling effect to fatten a sound.

  • Longer delay times (approximately 65 milliseconds) can be substituted for reverb in dense mixes.

c. Drag the Decay slider to specify how long it takes for the echoes to fade to silence. Moving the slider completely to the left causes only a single echo to be heard.


Equalization

The Equalization effect can drastically alter the feel of a signal without changing the texture by increasing and decreasing the volume of different frequencies of sound.

Using the Equalization effect

  1. Open the Sonic Foundry ExpressFX EQ dialog.

  2. Choose a preset from the Name drop-down list, or adjust the controls as desired:

a. Drag the EQ/Original Mix fader to set the level of the processed signal that will be mixed into the output. When the fader is at the top, only processed sound is heard. When the fader is at the bottom, no changes are heard in the sound. To get a balanced mix, simply double-click the fader.

b. Drag the Bass, Mid, and Treble faders to control the volume of each frequency band. Double-click a fader to reset it to 0 dB.


Using ExpressFX 2 with ACID Music

After you have installed ExpressFX 2, you’ll notice additional functionality in your ACID Music system. The additional functionality is displayed in the following areas:

  • An FX button is added to each track in the Track List. This button allows you to enable the selected effect for each track. When the button is selected [image], the selected effect is applied to the track. When the button is not selected [image], the effect is disabled for the track.

  • A FX tab is added to the multifunction section at the bottom of the main ACID window. This tab allows you to select an effect to apply to your tracks.

  • On the View menu, FX is added as a new option. When you choose this option, the FX page in the multifunction section is displayed.


Using ExpressFX 2 with Sound Forge XP

Using ExpressFX 2 with Sound Forge or Sound Forge XP

After you have installed ExpressFX 2, you’ll notice additional functionality in your Sound Forge or Sound Forge XP system.

After ExpressFX is installed, an ExpressFX menu is added to the Sound Forge XP menu bar. From the ExpressFX menu, choose a plug-in to display a dialog box with the controller options for the effect (version 4.5 or earlier).

If you're using ExpressFX with Sound Forge, your ExpressFX plug-ins will be displayed in the DirectX menu (version 4.5 or earlier).


Troubleshooting

This section contains helpful remedies to common performance issues involving ExpressFX.

What do you want to learn more about?

Stuttering during real-time preview

Glitches when processing selections in Sound Forge


Stuttering During Real-Time Previewing

If you are experiencing problems when previewing ExpressFX plug-ins in real-time, try one of the following:

Increase the DirectX buffering size (Sound Forge only)

In Sound Forge, right-click the title bar of an ExpressFX plug-in window and choose Preview Configuration from the shortcut menu. Decrease the Buffers to process per second and/or increase the Total Playback Buffers to reduce gapping. This will also make the controls less responsive, however. Expect to wait a second or so before changes are heard during the preview.

Use a faster processor with fast floating-point arithmetic

When using the plug-ins in Sound Forge, there is a CPU usage meter at the bottom of every plug-in window.

This will give you a rough indication of how your computer is coping with the real-time preview. If the usage ever goes above 100%, stuttering problems will most likely occur.


Glitches When Processing Selections in Sound Forge

If you experience small glitches in the transitions between selected material and nonselected material, try enabling the Crossfade edges feature (Sound Forge 4.0d or later). This feature is especially useful when pitch-shifting or time compressing a small portion of audio in the middle of a file.

To enable crossfading

  1. Right-click the title bar of an ExpressFX plug-in window and choose Preview Configuration from the shortcut menu.

  2. Select the Crossfade edges check box and specify a crossfade time.

  3. Click the OK button.

The Crossfade edges setting is plug-in dependent. This means that each plug-in maintains its own setting.


Welcome

Go to the ExpressFX 2 page on the Sonic Foundry Web site

Copyright ©2001 Sonic Foundry, Inc

Visit Sonic Foundry on the Web All Rights Reserved

Rev. 1/15/01